Subject: Re: [xml2rfc] [xml2rfc-dev] [Rfc-markdown] initials handling, was: New xml2rfc release: v2.22.3

From: Julian Reschke <[email-masked]>
Date: Mon, 6 May 2019 13:54:06 +0200

On 22.04.2019 20:31, Julian Reschke wrote:
> On 22.04.2019 16:35, Heather Flanagan wrote:
>> On Apr 21, 2019, 10:23 PM -0700, Julian Reschke <[email-masked]>,
>> wrote:
>>> On 11.04.2019 17:06, Heather Flanagan wrote:
>>>> ...
>>>> And coming back to this:
>>>>
>>>> A longstanding principle for referencing RFCs is to make the reference
>>>> match what is on the front page of the RFC itself, over what
>>>> information
>>>> is in any other location. This is something we should be clearer about
>>>> in the Style Guide, but it is a practice we’ve enforced for quite a
>>>> long
>>>> time.
>>>
>>> If you're not planning a revision anytime soon, you may want to document
>>> this in detail at <https://www.rfc-editor.org/styleguide/part2/> or file
>>> an erratum.
>>
>> I agree - I’ll work with the RPC on updating the web portion of the
>> style guide.
>>
>>>
>>>> Changing the tool to match this longstanding practice is not ideal, but
>>>> it is expedient given that the proper way to handle this is an
>>>> extensive
>>>> data cleanup of the citation library. I’ve asked the RPC to prioritize
>>>> getting documents published and format implementation over this kind of
>>>> data cleanup for now.
>>>> ...
>>>
>>> I still don't get this. Is there a well-defined algorithm to decide the
>>> detailed format? I guess so, otherwise it could not be placed into the
>>> formatter. In this case, please publish it. And if there is one, just
>>> get the <reference> files updated accordingly. (And yes, I volunteer, if
>>> the algorithm is clear).
>>>
>>>
>>
>> Ah, volunteering! I love that! Let me talk to Sandy and Alice to see how
>> best to move this forward.
>> ...
>
> Can we start with a precise problem statement? How exactly is the rule
> for initials for author names different in these ancient RFCs?

Hi there once again.

It would be awesome if there was a problem statement for what caused
Henrik to make the change below:

>    * Added special initials handling for RFCs 1272 and below, to apply the
>      single initials handling enforced at that time.

Could somebody please explain what the actual change in handling *is*?
The style guide says in
<https://tools.ietf.org/html/rfc7322#section-4.8.6.2>:

>    For one author or editor:
>
>       [RFCXXXX] Last name, First initial., Ed. (if applicable),
>                 "RFC Title", Sub-series number (if applicable),
>                 RFC number, Date of publication,
>                 <http://www.rfc-editor.org/info/rfc#>.

...so just using the first initial is currently the rule as well.

What *is* the change?

Best regards, Julian